import { useEnumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeName } = useEnumStore()

/**
 * 获取商品单位列表
 * @returns 
 */
export function getGoodsUnitList() {
    return getEnumTypeList('goodsunit')
}

/**
 * 获取商品单位名称
 * @returns 
 */
export function getGoodsUnitName(value?: number) {
    const enums = getGoodsUnitList()
    return getEnumTypeName(enums, value)
}